Bug 23764 - opencc new security issue CVE-2018-16982
Summary: opencc new security issue CVE-2018-16982
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Security (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact: Sec team
URL:
Whiteboard: MGA6-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-10-26 19:58 CEST by David Walser
Modified: 2018-11-11 22:11 CET (History)
7 users (show)

See Also:
Source RPM: opencc-1.0.5-2.mga7.src.rpm
CVE:
Status comment:


Attachments

Description David Walser 2018-10-26 19:58:22 CEST
Fedora has issued an advisory on October 23:
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/thread/GDWZHBV4B3VZTM4ACXQMZKSLTIKFJUUO/

Mageia 6 is also affected.
David Walser 2018-10-26 19:58:46 CEST

Whiteboard: (none) => MGA6TOO

Comment 1 Marja Van Waes 2018-10-27 21:01:27 CEST
Assigning to all packagers collectively, since there is no registered maintainer for this package.

Assignee: bugsquad => pkg-bugs
CC: (none) => marja11, smelror

Comment 2 Mike Rambo 2018-11-02 17:52:57 CET
Patched package uploaded for cauldron and Mageia 6.

Advisory:
========================

Updated opencc package fixes security vulnerability:

It was discovered that opencc contained an out of bounds pointer in BinaryDict.cpp which could lead to segment fault and a Denial of Service (CVE-2018-16982).


References:
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/thread/GDWZHBV4B3VZTM4ACXQMZKSLTIKFJUUO/
https://github.com/BYVoid/OpenCC/issues/303
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-16982
========================

Updated packages in core/updates_testing:
========================
lib64opencc2-1.0.3-3.1.mga6
lib64opencc-devel-1.0.3-3.1.mga6
opencc-1.0.3-3.1.mga6

from opencc-1.0.3-3.1.mga6.src.rpm

Assignee: pkg-bugs => qa-bugs
CC: (none) => mrambo
Whiteboard: MGA6TOO => (none)
Version: Cauldron => 6

Comment 3 Len Lawrence 2018-11-06 16:39:12 CET
Mageia 6, x86_64

CVE-2018-16982
https://github.com/BYVoid/OpenCC/issues/303
$ opencc_dict -i keyoffsetPOC -o temp.txt -f ocd -t text
Segmentation fault (core dumped)
$ opencc_dict -i ValueOffsetPOC -o temp.txt -f ocd -t text
Segmentation fault (core dumped)

Clean update of the packages.

Ran the POC tests again.

$ opencc_dict -i keyoffsetPOC -o temp.txt -f ocd -t text
Invalid format: Invalid OpenCC binary dictionary (keyOffset)
$ opencc_dict -i ValueOffsetPOC -o temp.txt -f ocd -t text
Invalid format: Invalid OpenCC binary dictionary (valueOffset)

opencc has a --help facility but not knowing anything about input file formats I left this alone.

Clean update and positive POC tests so this is OK for 64-bits.

CC: (none) => tarazed25
Whiteboard: (none) => MGA6-64-OK

Comment 4 Thomas Andrews 2018-11-09 22:17:00 CET
Validating. Advisory in Comment 2.

CC: (none) => andrewsfarm

Thomas Andrews 2018-11-09 22:17:14 CET

Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs

Comment 5 Lewis Smith 2018-11-11 21:14:50 CET
Advisoried from comment 2.

Keywords: (none) => advisory
CC: (none) => lewyssmith

Comment 6 Mageia Robot 2018-11-11 22:11:06 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGASA-2018-0443.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.